Index: ui/settingsdialog.ui
===================================================================
--- ui/settingsdialog.ui	(revision 21361c757ddd0cab1a1cc34897f87789559f677c)
+++ ui/settingsdialog.ui	(revision 5515c2c2a76cbe53019066185c149c9dc88736da)
@@ -1,190 +1,284 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<ui version="4.0">
- <author>Oleksii Serdiuk: $Id: $Format:%h %ai %an$ $</author>
+<ui version="4.0" >
  <class>SettingsDialog</class>
- <widget class="QDialog" name="SettingsDialog">
-  <property name="windowTitle">
-   <string>Preferences</string>
+ <widget class="QWidget" name="SettingsDialog" >
+  <property name="geometry" >
+   <rect>
+    <x>0</x>
+    <y>0</y>
+    <width>436</width>
+    <height>172</height>
+   </rect>
   </property>
-  <widget class="QWidget" name="bgGrey" native="true">
-   <property name="sizePolicy">
-    <sizepolicy hsizetype="Preferred" vsizetype="Fixed">
-     <horstretch>0</horstretch>
-     <verstretch>0</verstretch>
-    </sizepolicy>
+  <property name="windowTitle" >
+   <string>Параметры</string>
+  </property>
+  <property name="windowIcon" >
+   <iconset resource="../resources/tspsg.qrc" >:/images/Settings.png</iconset>
+  </property>
+  <layout class="QVBoxLayout" >
+   <property name="spacing" >
+    <number>0</number>
    </property>
-   <property name="autoFillBackground">
-    <bool>true</bool>
+   <property name="leftMargin" >
+    <number>0</number>
    </property>
-   <layout class="QVBoxLayout" name="_2">
-    <property name="spacing">
-     <number>0</number>
-    </property>
-    <property name="margin">
-     <number>0</number>
-    </property>
-    <item>
-     <widget class="Line" name="lineHorizontal">
-      <property name="maximumSize">
-       <size>
-        <width>16777215</width>
-        <height>2</height>
-       </size>
-      </property>
-      <property name="frameShadow">
-       <enum>QFrame::Plain</enum>
-      </property>
-      <property name="lineWidth">
-       <number>2</number>
-      </property>
-      <property name="orientation">
-       <enum>Qt::Horizontal</enum>
-      </property>
-     </widget>
-    </item>
-    <item>
-     <layout class="QHBoxLayout" name="buttons">
-      <property name="spacing">
-       <number>6</number>
-      </property>
-      <property name="margin">
-       <number>6</number>
-      </property>
-      <item>
-       <widget class="QToolButton" name="buttonHelp">
-        <property name="enabled">
-         <bool>false</bool>
-        </property>
-        <property name="cursor">
-         <cursorShape>PointingHandCursor</cursorShape>
-        </property>
-        <property name="toolTip">
-         <string>Help</string>
-        </property>
-        <property name="statusTip">
-         <string>Get preferences help</string>
-        </property>
-        <property name="text">
-         <string>Help</string>
-        </property>
-        <property name="autoRaise">
-         <bool>true</bool>
-        </property>
-       </widget>
-      </item>
-      <item>
-       <widget class="QDialogButtonBox" name="buttonBox">
-        <property name="standardButtons">
-         <set>QDialogButtonBox::Cancel|QDialogButtonBox::Ok</set>
-        </property>
-       </widget>
-      </item>
-     </layout>
-    </item>
-   </layout>
-  </widget>
-  <widget class="QWidget" name="bgWhite" native="true">
-   <property name="autoFillBackground">
-    <bool>true</bool>
+   <property name="topMargin" >
+    <number>0</number>
    </property>
-   <layout class="QHBoxLayout" name="_3">
-    <item>
-     <widget class="QTabWidget" name="tabWidget">
-      <widget class="QWidget" name="tabGeneral">
-       <attribute name="title">
-        <string>General</string>
-       </attribute>
-       <attribute name="toolTip">
-        <string>General TSPSG settings</string>
-       </attribute>
-       <layout class="QVBoxLayout" name="_4">
+   <property name="rightMargin" >
+    <number>0</number>
+   </property>
+   <property name="bottomMargin" >
+    <number>0</number>
+   </property>
+   <item>
+    <layout class="QHBoxLayout" >
+     <property name="spacing" >
+      <number>0</number>
+     </property>
+     <item>
+      <widget class="QLabel" name="imageSide" >
+       <property name="minimumSize" >
+        <size>
+         <width>130</width>
+         <height>0</height>
+        </size>
+       </property>
+       <property name="styleSheet" >
+        <string>background-color: #0080C0</string>
+       </property>
+       <property name="frameShape" >
+        <enum>QFrame::StyledPanel</enum>
+       </property>
+       <property name="lineWidth" >
+        <number>0</number>
+       </property>
+       <property name="text" >
+        <string/>
+       </property>
+       <property name="pixmap" >
+        <pixmap resource="../resources/tspsg.qrc" >:/images/Settings.png</pixmap>
+       </property>
+       <property name="alignment" >
+        <set>Qt::AlignCenter</set>
+       </property>
+      </widget>
+     </item>
+     <item>
+      <widget class="Line" name="lineVertical" >
+       <property name="frameShadow" >
+        <enum>QFrame::Plain</enum>
+       </property>
+       <property name="lineWidth" >
+        <number>2</number>
+       </property>
+       <property name="orientation" >
+        <enum>Qt::Vertical</enum>
+       </property>
+      </widget>
+     </item>
+     <item>
+      <widget class="QWidget" native="1" name="background" >
+       <property name="palette" >
+        <palette>
+         <active>
+          <colorrole role="Base" >
+           <brush brushstyle="SolidPattern" >
+            <color alpha="255" >
+             <red>255</red>
+             <green>255</green>
+             <blue>255</blue>
+            </color>
+           </brush>
+          </colorrole>
+          <colorrole role="Window" >
+           <brush brushstyle="SolidPattern" >
+            <color alpha="255" >
+             <red>255</red>
+             <green>255</green>
+             <blue>255</blue>
+            </color>
+           </brush>
+          </colorrole>
+         </active>
+         <inactive>
+          <colorrole role="Base" >
+           <brush brushstyle="SolidPattern" >
+            <color alpha="255" >
+             <red>255</red>
+             <green>255</green>
+             <blue>255</blue>
+            </color>
+           </brush>
+          </colorrole>
+          <colorrole role="Window" >
+           <brush brushstyle="SolidPattern" >
+            <color alpha="255" >
+             <red>255</red>
+             <green>255</green>
+             <blue>255</blue>
+            </color>
+           </brush>
+          </colorrole>
+         </inactive>
+         <disabled>
+          <colorrole role="Base" >
+           <brush brushstyle="SolidPattern" >
+            <color alpha="255" >
+             <red>255</red>
+             <green>255</green>
+             <blue>255</blue>
+            </color>
+           </brush>
+          </colorrole>
+          <colorrole role="Window" >
+           <brush brushstyle="SolidPattern" >
+            <color alpha="255" >
+             <red>255</red>
+             <green>255</green>
+             <blue>255</blue>
+            </color>
+           </brush>
+          </colorrole>
+         </disabled>
+        </palette>
+       </property>
+       <property name="autoFillBackground" >
+        <bool>true</bool>
+       </property>
+       <layout class="QVBoxLayout" >
         <item>
-         <widget class="QCheckBox" name="cbAutosize">
-          <property name="cursor">
-           <cursorShape>PointingHandCursor</cursorShape>
+         <layout class="QHBoxLayout" >
+          <property name="spacing" >
+           <number>6</number>
           </property>
-          <property name="statusTip">
-           <string>Automatically resize rows and columns to their contents</string>
-          </property>
-          <property name="text">
-           <string>Autosize of rows and columns</string>
-          </property>
-         </widget>
-        </item>
-        <item>
-         <widget class="QCheckBox" name="cbSaveLastUsed">
-          <property name="cursor">
-           <cursorShape>PointingHandCursor</cursorShape>
-          </property>
-          <property name="statusTip">
-           <string>Remember the last used directory when opening and saving files</string>
-          </property>
-          <property name="text">
-           <string>Remember last used directories</string>
-          </property>
-         </widget>
-        </item>
-        <item>
-         <widget class="QCheckBox" name="cbUseNativeDialogs">
-          <property name="cursor">
-           <cursorShape>PointingHandCursor</cursorShape>
-          </property>
-          <property name="statusTip">
-           <string>Use native File Open and File Save dialogs (uncheck to use Qt's Dialogs)</string>
-          </property>
-          <property name="text">
-           <string>Use native file dialogs</string>
-          </property>
-         </widget>
-        </item>
-        <item>
-         <spacer name="spacer">
-          <property name="orientation">
-           <enum>Qt::Vertical</enum>
-          </property>
-          <property name="sizeHint" stdset="0">
-           <size>
-            <width>0</width>
-            <height>1</height>
-           </size>
-          </property>
-         </spacer>
-        </item>
-       </layout>
-      </widget>
-      <widget class="QWidget" name="tabTask">
-       <attribute name="title">
-        <string>Task</string>
-       </attribute>
-       <attribute name="toolTip">
-        <string>Task generation and solving settings</string>
-       </attribute>
-       <layout class="QVBoxLayout" name="_9">
-        <item>
-         <layout class="QFormLayout" name="_5">
-          <property name="fieldGrowthPolicy">
-           <enum>QFormLayout::ExpandingFieldsGrow</enum>
-          </property>
-          <item row="0" column="0">
-           <widget class="QLabel" name="labelFractionalAccuracy">
-            <property name="text">
-             <string>Fractional accuracy:</string>
+          <item>
+           <widget class="QGroupBox" name="groupRandomSettings" >
+            <property name="title" >
+             <string>Случайные значения:</string>
             </property>
-            <property name="buddy">
-             <cstring>spinFractionalAccuracy</cstring>
-            </property>
+            <layout class="QVBoxLayout" >
+             <item>
+              <layout class="QHBoxLayout" >
+               <item>
+                <widget class="QLabel" name="labelRandMin" >
+                 <property name="sizePolicy" >
+                  <sizepolicy vsizetype="Preferred" hsizetype="Expanding" >
+                   <horstretch>0</horstretch>
+                   <verstretch>0</verstretch>
+                  </sizepolicy>
+                 </property>
+                 <property name="text" >
+                  <string>Ми&amp;нимум:</string>
+                 </property>
+                 <property name="buddy" >
+                  <cstring>spinRandMin</cstring>
+                 </property>
+                </widget>
+               </item>
+               <item>
+                <widget class="QSpinBox" name="spinRandMin" >
+                 <property name="cursor" >
+                  <cursorShape>PointingHandCursor</cursorShape>
+                 </property>
+                 <property name="maximum" >
+                  <number>1000</number>
+                 </property>
+                 <property name="value" >
+                  <number>1</number>
+                 </property>
+                </widget>
+               </item>
+              </layout>
+             </item>
+             <item>
+              <layout class="QHBoxLayout" >
+               <item>
+                <widget class="QLabel" name="labelRandMax" >
+                 <property name="sizePolicy" >
+                  <sizepolicy vsizetype="Preferred" hsizetype="Expanding" >
+                   <horstretch>0</horstretch>
+                   <verstretch>0</verstretch>
+                  </sizepolicy>
+                 </property>
+                 <property name="text" >
+                  <string>&amp;Максимум:</string>
+                 </property>
+                 <property name="buddy" >
+                  <cstring>spinRandMax</cstring>
+                 </property>
+                </widget>
+               </item>
+               <item>
+                <widget class="QSpinBox" name="spinRandMax" >
+                 <property name="cursor" >
+                  <cursorShape>PointingHandCursor</cursorShape>
+                 </property>
+                 <property name="minimum" >
+                  <number>1</number>
+                 </property>
+                 <property name="maximum" >
+                  <number>1000</number>
+                 </property>
+                 <property name="value" >
+                  <number>10</number>
+                 </property>
+                </widget>
+               </item>
+              </layout>
+             </item>
+            </layout>
            </widget>
           </item>
-          <item row="0" column="1">
-           <widget class="QSpinBox" name="spinFractionalAccuracy">
-            <property name="cursor">
-             <cursorShape>PointingHandCursor</cursorShape>
+          <item>
+           <widget class="QGroupBox" name="groupPrintSetup" >
+            <property name="title" >
+             <string>Настройки печати:</string>
             </property>
-            <property name="statusTip">
-             <string>Accuracy of the fractional values (in decimal places)</string>
-            </property>
-            <property name="maximum">
-             <number>6</number>
-            </property>
+            <layout class="QVBoxLayout" >
+             <item>
+              <layout class="QHBoxLayout" >
+               <item>
+                <widget class="QLabel" name="labelLeftMargin" >
+                 <property name="text" >
+                  <string>&amp;Левый отступ:</string>
+                 </property>
+                 <property name="buddy" >
+                  <cstring>spinLeftMargin</cstring>
+                 </property>
+                </widget>
+               </item>
+               <item>
+                <widget class="QSpinBox" name="spinLeftMargin" >
+                 <property name="cursor" >
+                  <cursorShape>PointingHandCursor</cursorShape>
+                 </property>
+                 <property name="maximum" >
+                  <number>999</number>
+                 </property>
+                 <property name="singleStep" >
+                  <number>10</number>
+                 </property>
+                 <property name="value" >
+                  <number>100</number>
+                 </property>
+                </widget>
+               </item>
+              </layout>
+             </item>
+             <item>
+              <widget class="QPushButton" name="buttonFont" >
+               <property name="cursor" >
+                <cursorShape>PointingHandCursor</cursorShape>
+               </property>
+               <property name="text" >
+                <string>&amp;Шрифт...</string>
+               </property>
+               <property name="icon" >
+                <iconset resource="../resources/tspsg.qrc" >:/images/buttons/buttons/Font.png</iconset>
+               </property>
+              </widget>
+             </item>
+            </layout>
            </widget>
           </item>
@@ -192,845 +286,134 @@
         </item>
         <item>
-         <widget class="QCheckBox" name="cbSymmetricMode">
-          <property name="cursor">
+         <widget class="QCheckBox" name="checkBox" >
+          <property name="cursor" >
            <cursorShape>PointingHandCursor</cursorShape>
           </property>
-          <property name="statusTip">
-           <string>In this mode the cost of travel from city 1 to city 2 and vice versa is the same</string>
-          </property>
-          <property name="text">
-           <string>Symmetric mode</string>
+          <property name="text" >
+           <string>Сохранять состояние и положение главного окна</string>
           </property>
          </widget>
         </item>
-        <item>
-         <widget class="QGroupBox" name="gbTaskGeneration">
-          <property name="title">
-           <string>Task generation</string>
-          </property>
-          <layout class="QVBoxLayout" name="_7">
-           <item>
-            <layout class="QFormLayout" name="_8">
-             <property name="fieldGrowthPolicy">
-              <enum>QFormLayout::ExpandingFieldsGrow</enum>
-             </property>
-             <item row="0" column="0">
-              <widget class="QLabel" name="labelRandMin">
-               <property name="text">
-                <string>Minimal random:</string>
-               </property>
-               <property name="buddy">
-                <cstring>spinRandMin</cstring>
-               </property>
-              </widget>
-             </item>
-             <item row="0" column="1">
-              <widget class="QSpinBox" name="spinRandMin">
-               <property name="cursor">
-                <cursorShape>PointingHandCursor</cursorShape>
-               </property>
-               <property name="statusTip">
-                <string>Minimum for random number generation</string>
-               </property>
-              </widget>
-             </item>
-             <item row="1" column="0">
-              <widget class="QLabel" name="labelRandMax">
-               <property name="text">
-                <string>Maximal random:</string>
-               </property>
-               <property name="buddy">
-                <cstring>spinRandMax</cstring>
-               </property>
-              </widget>
-             </item>
-             <item row="1" column="1">
-              <widget class="QSpinBox" name="spinRandMax">
-               <property name="cursor">
-                <cursorShape>PointingHandCursor</cursorShape>
-               </property>
-               <property name="statusTip">
-                <string>Maximum for random number generation</string>
-               </property>
-              </widget>
-             </item>
-            </layout>
-           </item>
-           <item>
-            <widget class="QCheckBox" name="cbFractionalRandom">
-             <property name="cursor">
-              <cursorShape>PointingHandCursor</cursorShape>
-             </property>
-             <property name="statusTip">
-              <string>Generate fractional random values with the Fractional accuracy</string>
-             </property>
-             <property name="text">
-              <string>Fractional random values</string>
-             </property>
-            </widget>
-           </item>
-          </layout>
-         </widget>
-        </item>
-        <item>
-         <spacer name="spacer_2">
-          <property name="orientation">
-           <enum>Qt::Vertical</enum>
-          </property>
-          <property name="sizeHint" stdset="0">
-           <size>
-            <width>0</width>
-            <height>1</height>
-           </size>
-          </property>
-         </spacer>
-        </item>
        </layout>
       </widget>
-      <widget class="QWidget" name="tabOutput">
-       <attribute name="title">
-        <string>Output</string>
-       </attribute>
-       <attribute name="toolTip">
-        <string>Solution output settings</string>
-       </attribute>
-       <layout class="QVBoxLayout" name="verticalLayout_2">
-        <item>
-         <widget class="QTabWidget" name="outputTabWidget">
-          <widget class="QWidget" name="tabOutputGeneral">
-           <attribute name="title">
-            <string>General</string>
-           </attribute>
-           <attribute name="toolTip">
-            <string>General solution output settings</string>
-           </attribute>
-           <layout class="QVBoxLayout" name="_6">
-            <item>
-             <widget class="QCheckBox" name="cbGenerateGraph">
-              <property name="cursor">
-               <cursorShape>PointingHandCursor</cursorShape>
-              </property>
-              <property name="statusTip">
-               <string>Generate graphical representation of the solution</string>
-              </property>
-              <property name="text">
-               <string>Generate solution graph</string>
-              </property>
-             </widget>
-            </item>
-            <item>
-             <layout class="QHBoxLayout" name="_16">
-              <item>
-               <spacer name="spacer_10">
-                <property name="orientation">
-                 <enum>Qt::Horizontal</enum>
-                </property>
-                <property name="sizeType">
-                 <enum>QSizePolicy::Fixed</enum>
-                </property>
-                <property name="sizeHint" stdset="0">
-                 <size>
-                  <width>10</width>
-                  <height>0</height>
-                 </size>
-                </property>
-               </spacer>
-              </item>
-              <item>
-               <widget class="QLabel" name="labelGraphWidth">
-                <property name="statusTip">
-                 <string>Defines width of graph in solution output</string>
-                </property>
-                <property name="text">
-                 <string>Solution graph width:</string>
-                </property>
-                <property name="buddy">
-                 <cstring>comboGraphImageFormat</cstring>
-                </property>
-               </widget>
-              </item>
-              <item>
-               <widget class="QDoubleSpinBox" name="spinGraphWidth">
-                <property name="cursor">
-                 <cursorShape>PointingHandCursor</cursorShape>
-                </property>
-                <property name="statusTip">
-                 <string>Defines width of graph in solution output</string>
-                </property>
-                <property name="suffix">
-                 <string comment="Don't forget a space at the beginning!"> cm</string>
-                </property>
-                <property name="minimum">
-                 <double>2.250000000000000</double>
-                </property>
-                <property name="maximum">
-                 <double>18.000000000000000</double>
-                </property>
-                <property name="singleStep">
-                 <double>0.100000000000000</double>
-                </property>
-               </widget>
-              </item>
-              <item>
-               <spacer name="spacer_12">
-                <property name="orientation">
-                 <enum>Qt::Horizontal</enum>
-                </property>
-                <property name="sizeHint" stdset="0">
-                 <size>
-                  <width>1</width>
-                  <height>0</height>
-                 </size>
-                </property>
-               </spacer>
-              </item>
-             </layout>
-            </item>
-            <item>
-             <layout class="QHBoxLayout" name="_10">
-              <item>
-               <spacer name="spacer_7">
-                <property name="orientation">
-                 <enum>Qt::Horizontal</enum>
-                </property>
-                <property name="sizeType">
-                 <enum>QSizePolicy::Fixed</enum>
-                </property>
-                <property name="sizeHint" stdset="0">
-                 <size>
-                  <width>10</width>
-                  <height>0</height>
-                 </size>
-                </property>
-               </spacer>
-              </item>
-              <item>
-               <widget class="QLabel" name="labelGraphImageFormat">
-                <property name="statusTip">
-                 <string>What image format to use for graph when saving solution as HTML</string>
-                </property>
-                <property name="text">
-                 <string>Save solution graph as</string>
-                </property>
-                <property name="buddy">
-                 <cstring>comboGraphImageFormat</cstring>
-                </property>
-               </widget>
-              </item>
-              <item>
-               <widget class="QComboBox" name="comboGraphImageFormat">
-                <property name="cursor">
-                 <cursorShape>PointingHandCursor</cursorShape>
-                </property>
-                <property name="statusTip">
-                 <string>What image format to use for graph when saving solution as HTML</string>
-                </property>
-               </widget>
-              </item>
-              <item>
-               <spacer name="spacer_11">
-                <property name="orientation">
-                 <enum>Qt::Horizontal</enum>
-                </property>
-                <property name="sizeHint" stdset="0">
-                 <size>
-                  <width>1</width>
-                  <height>0</height>
-                 </size>
-                </property>
-               </spacer>
-              </item>
-             </layout>
-            </item>
-            <item>
-             <layout class="QHBoxLayout" name="_14">
-              <item>
-               <spacer name="spacer_8">
-                <property name="orientation">
-                 <enum>Qt::Horizontal</enum>
-                </property>
-                <property name="sizeType">
-                 <enum>QSizePolicy::Fixed</enum>
-                </property>
-                <property name="sizeHint" stdset="0">
-                 <size>
-                  <width>10</width>
-                  <height>0</height>
-                 </size>
-                </property>
-               </spacer>
-              </item>
-              <item>
-               <widget class="QCheckBox" name="cbEmbedGraphIntoHTML">
-                <property name="cursor">
-                 <cursorShape>PointingHandCursor</cursorShape>
-                </property>
-                <property name="statusTip">
-                 <string>Save solution graph inside HTML using data URI scheme (not supported by IE 7 and lower)</string>
-                </property>
-                <property name="text">
-                 <string>Embed solution graph into HTML</string>
-                </property>
-               </widget>
-              </item>
-             </layout>
-            </item>
-            <item>
-             <widget class="QCheckBox" name="cbShowMatrix">
-              <property name="cursor">
-               <cursorShape>PointingHandCursor</cursorShape>
-              </property>
-              <property name="statusTip">
-               <string>Show solution steps' matrices for every solution step</string>
-              </property>
-              <property name="text">
-               <string>Show solution steps' matrices</string>
-              </property>
-             </widget>
-            </item>
-            <item>
-             <layout class="QHBoxLayout" name="_12">
-              <item>
-               <spacer name="spacer_3">
-                <property name="orientation">
-                 <enum>Qt::Horizontal</enum>
-                </property>
-                <property name="sizeType">
-                 <enum>QSizePolicy::Fixed</enum>
-                </property>
-                <property name="sizeHint" stdset="0">
-                 <size>
-                  <width>10</width>
-                  <height>0</height>
-                 </size>
-                </property>
-               </spacer>
-              </item>
-              <item>
-               <widget class="QCheckBox" name="cbCitiesLimit">
-                <property name="cursor">
-                 <cursorShape>PointingHandCursor</cursorShape>
-                </property>
-                <property name="statusTip">
-                 <string>Show or hide solution steps' matrices based on number of cities in the task</string>
-                </property>
-                <property name="text">
-                 <string>Only when &lt;=</string>
-                </property>
-               </widget>
-              </item>
-              <item>
-               <widget class="QSpinBox" name="spinCitiesLimit">
-                <property name="cursor">
-                 <cursorShape>PointingHandCursor</cursorShape>
-                </property>
-                <property name="statusTip">
-                 <string>Maximum number of cities to show solution steps' matrices</string>
-                </property>
-                <property name="suffix">
-                 <string comment="Don't forget a space at the beginning!"> cities</string>
-                </property>
-                <property name="minimum">
-                 <number>1</number>
-                </property>
-               </widget>
-              </item>
-              <item>
-               <spacer name="spacer_4">
-                <property name="orientation">
-                 <enum>Qt::Horizontal</enum>
-                </property>
-                <property name="sizeHint" stdset="0">
-                 <size>
-                  <width>1</width>
-                  <height>0</height>
-                 </size>
-                </property>
-               </spacer>
-              </item>
-             </layout>
-            </item>
-            <item>
-             <widget class="QCheckBox" name="cbScrollToEnd">
-              <property name="cursor">
-               <cursorShape>PointingHandCursor</cursorShape>
-              </property>
-              <property name="statusTip">
-               <string>Scroll to the end of solution output after solving</string>
-              </property>
-              <property name="text">
-               <string>Scroll to solution end</string>
-              </property>
-             </widget>
-            </item>
-            <item>
-             <spacer name="spacer_6">
-              <property name="orientation">
-               <enum>Qt::Vertical</enum>
-              </property>
-              <property name="sizeHint" stdset="0">
-               <size>
-                <width>0</width>
-                <height>1</height>
-               </size>
-              </property>
-             </spacer>
-            </item>
-           </layout>
-          </widget>
-          <widget class="QWidget" name="tabOutputColors">
-           <attribute name="title">
-            <string comment="Needs double &amp; or it won't be displayed!">Font &amp;&amp; Colors</string>
-           </attribute>
-           <attribute name="toolTip">
-            <string>Font and colors settings for solution output</string>
-           </attribute>
-           <layout class="QVBoxLayout" name="_11">
-            <item>
-             <layout class="QHBoxLayout" name="_13">
-              <item>
-               <widget class="QLabel" name="labelFont">
-                <property name="statusTip">
-                 <string>Font used for solution text output</string>
-                </property>
-                <property name="text">
-                 <string>Font:</string>
-                </property>
-               </widget>
-              </item>
-              <item>
-               <widget class="QLabel" name="labelFontExample">
-                <property name="sizePolicy">
-                 <sizepolicy hsizetype="Expanding" vsizetype="Preferred">
-                  <horstretch>0</horstretch>
-                  <verstretch>0</verstretch>
-                 </sizepolicy>
-                </property>
-                <property name="statusTip">
-                 <string>Font used for solution text output</string>
-                </property>
-                <property name="wordWrap">
-                 <bool>true</bool>
-                </property>
-               </widget>
-              </item>
-              <item>
-               <widget class="QPushButton" name="buttonFont">
-                <property name="cursor">
-                 <cursorShape>PointingHandCursor</cursorShape>
-                </property>
-                <property name="statusTip">
-                 <string>Change output text font</string>
-                </property>
-               </widget>
-              </item>
-             </layout>
-            </item>
-            <item>
-             <layout class="QHBoxLayout" name="_15">
-              <item>
-               <widget class="QLabel" name="labelTextColor">
-                <property name="sizePolicy">
-                 <sizepolicy hsizetype="Expanding" vsizetype="Preferred">
-                  <horstretch>0</horstretch>
-                  <verstretch>0</verstretch>
-                 </sizepolicy>
-                </property>
-                <property name="statusTip">
-                 <string>Font color for solution text output</string>
-                </property>
-                <property name="text">
-                 <string>Default text color:</string>
-                </property>
-               </widget>
-              </item>
-              <item>
-               <widget class="QFrame" name="boxTextColor">
-                <property name="sizePolicy">
-                 <sizepolicy hsizetype="Fixed" vsizetype="Fixed">
-                  <horstretch>0</horstretch>
-                  <verstretch>0</verstretch>
-                 </sizepolicy>
-                </property>
-                <property name="minimumSize">
-                 <size>
-                  <width>15</width>
-                  <height>15</height>
-                 </size>
-                </property>
-                <property name="statusTip">
-                 <string>Font color for solution text output</string>
-                </property>
-                <property name="autoFillBackground">
-                 <bool>true</bool>
-                </property>
-                <property name="frameShape">
-                 <enum>QFrame::Box</enum>
-                </property>
-               </widget>
-              </item>
-              <item>
-               <widget class="QPushButton" name="buttonTextColor">
-                <property name="cursor">
-                 <cursorShape>PointingHandCursor</cursorShape>
-                </property>
-                <property name="statusTip">
-                 <string>Change default text color</string>
-                </property>
-               </widget>
-              </item>
-             </layout>
-            </item>
-            <item>
-             <layout class="QHBoxLayout" name="_17">
-              <item>
-               <widget class="QLabel" name="labelSelectedColor">
-                <property name="sizePolicy">
-                 <sizepolicy hsizetype="Expanding" vsizetype="Preferred">
-                  <horstretch>0</horstretch>
-                  <verstretch>0</verstretch>
-                 </sizepolicy>
-                </property>
-                <property name="statusTip">
-                 <string>Text color of the candidate that was selected for branching</string>
-                </property>
-                <property name="text">
-                 <string>Selected candidate text color:</string>
-                </property>
-               </widget>
-              </item>
-              <item>
-               <widget class="QFrame" name="boxSelectedColor">
-                <property name="sizePolicy">
-                 <sizepolicy hsizetype="Fixed" vsizetype="Fixed">
-                  <horstretch>0</horstretch>
-                  <verstretch>0</verstretch>
-                 </sizepolicy>
-                </property>
-                <property name="minimumSize">
-                 <size>
-                  <width>15</width>
-                  <height>15</height>
-                 </size>
-                </property>
-                <property name="statusTip">
-                 <string>Text color of the candidate that was selected for branching</string>
-                </property>
-                <property name="autoFillBackground">
-                 <bool>true</bool>
-                </property>
-                <property name="frameShape">
-                 <enum>QFrame::Box</enum>
-                </property>
-               </widget>
-              </item>
-              <item>
-               <widget class="QPushButton" name="buttonSelectedColor">
-                <property name="cursor">
-                 <cursorShape>PointingHandCursor</cursorShape>
-                </property>
-                <property name="statusTip">
-                 <string>Change selected candidate text color</string>
-                </property>
-               </widget>
-              </item>
-             </layout>
-            </item>
-            <item>
-             <layout class="QHBoxLayout" name="_18">
-              <item>
-               <widget class="QLabel" name="labelAlternateColor">
-                <property name="sizePolicy">
-                 <sizepolicy hsizetype="Expanding" vsizetype="Preferred">
-                  <horstretch>0</horstretch>
-                  <verstretch>0</verstretch>
-                 </sizepolicy>
-                </property>
-                <property name="statusTip">
-                 <string>Text color of the alternate candidate that wasn't selected for branching</string>
-                </property>
-                <property name="text">
-                 <string>Alternate candidate text color:</string>
-                </property>
-               </widget>
-              </item>
-              <item>
-               <widget class="QFrame" name="boxAlternateColor">
-                <property name="sizePolicy">
-                 <sizepolicy hsizetype="Fixed" vsizetype="Fixed">
-                  <horstretch>0</horstretch>
-                  <verstretch>0</verstretch>
-                 </sizepolicy>
-                </property>
-                <property name="minimumSize">
-                 <size>
-                  <width>15</width>
-                  <height>15</height>
-                 </size>
-                </property>
-                <property name="statusTip">
-                 <string>Text color of the alternate candidate that wasn't selected for branching</string>
-                </property>
-                <property name="autoFillBackground">
-                 <bool>true</bool>
-                </property>
-                <property name="frameShape">
-                 <enum>QFrame::Box</enum>
-                </property>
-               </widget>
-              </item>
-              <item>
-               <widget class="QPushButton" name="buttonAlternateColor">
-                <property name="cursor">
-                 <cursorShape>PointingHandCursor</cursorShape>
-                </property>
-                <property name="statusTip">
-                 <string>Change alternate candidate text color</string>
-                </property>
-               </widget>
-              </item>
-             </layout>
-            </item>
-            <item>
-             <layout class="QHBoxLayout" name="_19">
-              <item>
-               <widget class="QLabel" name="labelBorderColor">
-                <property name="sizePolicy">
-                 <sizepolicy hsizetype="Expanding" vsizetype="Preferred">
-                  <horstretch>0</horstretch>
-                  <verstretch>0</verstretch>
-                 </sizepolicy>
-                </property>
-                <property name="statusTip">
-                 <string>Color of table borders in solution output</string>
-                </property>
-                <property name="text">
-                 <string>Table borders color:</string>
-                </property>
-               </widget>
-              </item>
-              <item>
-               <widget class="QFrame" name="boxBorderColor">
-                <property name="sizePolicy">
-                 <sizepolicy hsizetype="Fixed" vsizetype="Fixed">
-                  <horstretch>0</horstretch>
-                  <verstretch>0</verstretch>
-                 </sizepolicy>
-                </property>
-                <property name="minimumSize">
-                 <size>
-                  <width>15</width>
-                  <height>15</height>
-                 </size>
-                </property>
-                <property name="statusTip">
-                 <string>Color of table borders in solution output</string>
-                </property>
-                <property name="autoFillBackground">
-                 <bool>true</bool>
-                </property>
-                <property name="frameShape">
-                 <enum>QFrame::Box</enum>
-                </property>
-               </widget>
-              </item>
-              <item>
-               <widget class="QPushButton" name="buttonBorderColor">
-                <property name="cursor">
-                 <cursorShape>PointingHandCursor</cursorShape>
-                </property>
-                <property name="statusTip">
-                 <string>Change color of table borders</string>
-                </property>
-               </widget>
-              </item>
-             </layout>
-            </item>
-            <item>
-             <spacer name="spacer_9">
-              <property name="orientation">
-               <enum>Qt::Vertical</enum>
-              </property>
-              <property name="sizeHint" stdset="0">
-               <size>
-                <width>0</width>
-                <height>1</height>
-               </size>
-              </property>
-             </spacer>
-            </item>
-           </layout>
-          </widget>
-         </widget>
-        </item>
-       </layout>
-      </widget>
-     </widget>
-    </item>
-   </layout>
-  </widget>
+     </item>
+    </layout>
+   </item>
+   <item>
+    <widget class="Line" name="lineHorizontal" >
+     <property name="maximumSize" >
+      <size>
+       <width>16777215</width>
+       <height>2</height>
+      </size>
+     </property>
+     <property name="frameShadow" >
+      <enum>QFrame::Plain</enum>
+     </property>
+     <property name="lineWidth" >
+      <number>2</number>
+     </property>
+     <property name="orientation" >
+      <enum>Qt::Horizontal</enum>
+     </property>
+    </widget>
+   </item>
+   <item>
+    <layout class="QHBoxLayout" >
+     <property name="spacing" >
+      <number>6</number>
+     </property>
+     <property name="leftMargin" >
+      <number>6</number>
+     </property>
+     <property name="topMargin" >
+      <number>6</number>
+     </property>
+     <property name="rightMargin" >
+      <number>6</number>
+     </property>
+     <property name="bottomMargin" >
+      <number>6</number>
+     </property>
+     <item>
+      <widget class="QToolButton" name="toolButton" >
+       <property name="cursor" >
+        <cursorShape>PointingHandCursor</cursorShape>
+       </property>
+       <property name="toolTip" >
+        <string>Помощь</string>
+       </property>
+       <property name="statusTip" >
+        <string>Получить помощь по настройкам</string>
+       </property>
+       <property name="text" >
+        <string>Помощь</string>
+       </property>
+       <property name="icon" >
+        <iconset resource="../resources/tspsg.qrc" >:/images/buttons/buttons/Help.png</iconset>
+       </property>
+       <property name="autoRaise" >
+        <bool>true</bool>
+       </property>
+      </widget>
+     </item>
+     <item>
+      <widget class="QLabel" name="labelHint" >
+       <property name="sizePolicy" >
+        <sizepolicy vsizetype="Preferred" hsizetype="Expanding" >
+         <horstretch>0</horstretch>
+         <verstretch>0</verstretch>
+        </sizepolicy>
+       </property>
+       <property name="text" >
+        <string>Подсказка</string>
+       </property>
+       <property name="textFormat" >
+        <enum>Qt::PlainText</enum>
+       </property>
+       <property name="alignment" >
+        <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignVCenter</set>
+       </property>
+       <property name="wordWrap" >
+        <bool>true</bool>
+       </property>
+      </widget>
+     </item>
+     <item>
+      <widget class="QPushButton" name="buttonOK" >
+       <property name="cursor" >
+        <cursorShape>PointingHandCursor</cursorShape>
+       </property>
+       <property name="text" >
+        <string>&amp;OK</string>
+       </property>
+       <property name="icon" >
+        <iconset resource="../resources/tspsg.qrc" >:/images/buttons/buttons/OK.png</iconset>
+       </property>
+       <property name="default" >
+        <bool>true</bool>
+       </property>
+      </widget>
+     </item>
+     <item>
+      <widget class="QPushButton" name="buttonCancel" >
+       <property name="cursor" >
+        <cursorShape>PointingHandCursor</cursorShape>
+       </property>
+       <property name="text" >
+        <string>&amp;Отмена</string>
+       </property>
+       <property name="icon" >
+        <iconset resource="../resources/tspsg.qrc" >:/images/buttons/buttons/Critical.png</iconset>
+       </property>
+      </widget>
+     </item>
+    </layout>
+   </item>
+  </layout>
  </widget>
- <resources/>
- <connections>
-  <connection>
-   <sender>buttonBox</sender>
-   <signal>accepted()</signal>
-   <receiver>SettingsDialog</receiver>
-   <slot>accept()</slot>
-   <hints>
-    <hint type="sourcelabel">
-     <x>190</x>
-     <y>30</y>
-    </hint>
-    <hint type="destinationlabel">
-     <x>306</x>
-     <y>231</y>
-    </hint>
-   </hints>
-  </connection>
-  <connection>
-   <sender>buttonBox</sender>
-   <signal>rejected()</signal>
-   <receiver>SettingsDialog</receiver>
-   <slot>reject()</slot>
-   <hints>
-    <hint type="sourcelabel">
-     <x>190</x>
-     <y>30</y>
-    </hint>
-    <hint type="destinationlabel">
-     <x>262</x>
-     <y>245</y>
-    </hint>
-   </hints>
-  </connection>
-  <connection>
-   <sender>cbShowMatrix</sender>
-   <signal>toggled(bool)</signal>
-   <receiver>cbCitiesLimit</receiver>
-   <slot>setEnabled(bool)</slot>
-   <hints>
-    <hint type="sourcelabel">
-     <x>91</x>
-     <y>107</y>
-    </hint>
-    <hint type="destinationlabel">
-     <x>113</x>
-     <y>132</y>
-    </hint>
-   </hints>
-  </connection>
-  <connection>
-   <sender>cbShowMatrix</sender>
-   <signal>toggled(bool)</signal>
-   <receiver>cbCitiesLimit</receiver>
-   <slot>setChecked(bool)</slot>
-   <hints>
-    <hint type="sourcelabel">
-     <x>91</x>
-     <y>107</y>
-    </hint>
-    <hint type="destinationlabel">
-     <x>113</x>
-     <y>132</y>
-    </hint>
-   </hints>
-  </connection>
-  <connection>
-   <sender>cbCitiesLimit</sender>
-   <signal>toggled(bool)</signal>
-   <receiver>spinCitiesLimit</receiver>
-   <slot>setEnabled(bool)</slot>
-   <hints>
-    <hint type="sourcelabel">
-     <x>113</x>
-     <y>132</y>
-    </hint>
-    <hint type="destinationlabel">
-     <x>183</x>
-     <y>134</y>
-    </hint>
-   </hints>
-  </connection>
-  <connection>
-   <sender>cbGenerateGraph</sender>
-   <signal>toggled(bool)</signal>
-   <receiver>labelGraphImageFormat</receiver>
-   <slot>setEnabled(bool)</slot>
-   <hints>
-    <hint type="sourcelabel">
-     <x>113</x>
-     <y>48</y>
-    </hint>
-    <hint type="destinationlabel">
-     <x>72</x>
-     <y>73</y>
-    </hint>
-   </hints>
-  </connection>
-  <connection>
-   <sender>cbGenerateGraph</sender>
-   <signal>toggled(bool)</signal>
-   <receiver>comboGraphImageFormat</receiver>
-   <slot>setEnabled(bool)</slot>
-   <hints>
-    <hint type="sourcelabel">
-     <x>113</x>
-     <y>48</y>
-    </hint>
-    <hint type="destinationlabel">
-     <x>149</x>
-     <y>73</y>
-    </hint>
-   </hints>
-  </connection>
-  <connection>
-   <sender>cbGenerateGraph</sender>
-   <signal>toggled(bool)</signal>
-   <receiver>cbEmbedGraphIntoHTML</receiver>
-   <slot>setEnabled(bool)</slot>
-   <hints>
-    <hint type="sourcelabel">
-     <x>128</x>
-     <y>45</y>
-    </hint>
-    <hint type="destinationlabel">
-     <x>136</x>
-     <y>103</y>
-    </hint>
-   </hints>
-  </connection>
-  <connection>
-   <sender>cbGenerateGraph</sender>
-   <signal>toggled(bool)</signal>
-   <receiver>labelGraphWidth</receiver>
-   <slot>setEnabled(bool)</slot>
-   <hints>
-    <hint type="sourcelabel">
-     <x>157</x>
-     <y>84</y>
-    </hint>
-    <hint type="destinationlabel">
-     <x>100</x>
-     <y>147</y>
-    </hint>
-   </hints>
-  </connection>
-  <connection>
-   <sender>cbGenerateGraph</sender>
-   <signal>toggled(bool)</signal>
-   <receiver>spinGraphWidth</receiver>
-   <slot>setEnabled(bool)</slot>
-   <hints>
-    <hint type="sourcelabel">
-     <x>157</x>
-     <y>84</y>
-    </hint>
-    <hint type="destinationlabel">
-     <x>212</x>
-     <y>147</y>
-    </hint>
-   </hints>
-  </connection>
- </connections>
+ <resources>
+  <include location="../resources/tspsg.qrc" />
+ </resources>
+ <connections/>
 </ui>
